Bug 976442 - Review Request: bugwarrior - Sync github, bitbucket, and trac issues with taskwarrior
Review Request: bugwarrior - Sync github, bitbucket, and trac issues with tas...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marcelo Barbosa "firemanxbr"
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 10:59 EDT by Patrick Uiterwijk
Modified: 2016-05-15 09:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 10:28:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2013-06-20 10:59:02 EDT
Spec URL: http://puiterwijk.fedorapeople.org//bugwarrior.spec
SRPM URL: http://puiterwijk.fedorapeople.org//bugwarrior-0.6.0-1.fc19.src.rpm

Description:
Sync github, bitbucket, and trac issues with taskwarrior

bugwarrior is a command line utility for updating your local
taskwarrior database from your forge issue trackers.

It currently supports the following remote resources:

* github (api v3)
* bitbucket
* trac
* bugzilla
* megaplan
* teamlab
* redmine
* jira
* activecollab (2.x and 3.x)
Comment 1 Patrick Uiterwijk 2013-06-20 10:59:16 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5524272
Comment 2 Patrick Uiterwijk 2013-06-20 11:14:16 EDT
This will require some additional deps to be packaged, I will post the bugzilla ids here for them
Comment 3 Marcelo Barbosa "firemanxbr" 2013-06-20 14:16:56 EDT
Patrick,

   I can review for you, but what's your FAS ?

Marcelo Barbosa
Comment 4 Patrick Uiterwijk 2013-06-20 16:29:30 EDT
Hi Marcelo,

My FAS username is puiterwijk.

Thanks in advance for the review!

Regarding the deps: They are not actually required to run the program, but are required for some of the backends supported. (so if you do not meet the deps, you just can't use those backends)
Comment 5 Marcelo Barbosa "firemanxbr" 2013-06-21 15:37:51 EDT
Patrick,

   Please see this is issues:

   [!]: %check is present and all tests pass.
   [!]: A package which is used by another package via an egg interface should
     provide egg info.
   [!]: Package meets the Packaging Guidelines::Python

   Legend: [!] = Fail

   Reference: http://fedoraproject.org/wiki/Packaging:Python

Marcelo Barbosa
Comment 6 Eduardo Echeverria 2013-06-22 03:31:53 EDT
(In reply to Marcelo Barbosa from comment #5)
> Patrick,
> 
>    Please see this is issues:
> 
>    [!]: %check is present and all tests pass.
I don't see any test in the package, Marcelo. 

>    [!]: A package which is used by another package via an egg interface
> should
>      provide egg info.

@Patrick, please remove the eggs in %prep as well:
%prep
%setup -q 
# Remove bundled egg-info
rm -rf foo-info

and list the egg-info in a more verbose

%{python_sitelib}/foo
%{python_sitelib}/foo-*.egg-info

- this is not arched package, the CFLAGS not are necessary

the package is made in python, usually on Fedora we naming the python package with the prefix *python

you can use 
%global pkgname bugwarrior
and naming the package as well
Name:           python-bugwarrior

by example, see:
http://pkgs.fedoraproject.org/cgit/python-django-select2.git/tree/python-django-select2.spec

The package requires:
          "twiggy",
          "bitlyapi",=> is on Fedora 

$ repoquery --provides python-bitlyapi

python-bitlyapi = 0.1.1-3.fc19

"requests",is on Fedora

$repoquery --provides python-requests

python-requests = 1.1.0-4.fc19

"offtrac", Is on Fedora

$repoquery --provides python-offtrac
python-offtrac = 0.0.4-1.fc19

"python-bugzilla", is on Fedora
repoquery --provides python-bugzilla
python-bugzilla = 0.9.0-1.fc19


 "jira-python", is on Fedora
"taskw >= 0.4.2",
repoquery --provides python-taskw
python-taskw = 0.4.3-3.fc19


"dogpile.cache", is on Fedora
repoquery --provides python-dogpile-cache
python-dogpile-cache = 0.4.2-2.fc19

Please add in the requires


>    [!]: Package meets the Packaging Guidelines::Python
> 
>    Legend: [!] = Fail
> 
>    Reference: http://fedoraproject.org/wiki/Packaging:Python
> 
> Marcelo Barbosa
Comment 7 Cole Robinson 2014-02-26 10:28:01 EST
Looks like bugwarrior is already in fedora:

https://admin.fedoraproject.org/pkgdb/acls/name/bugwarrior

So closing this

Note You need to log in before you can comment on or make changes to this bug.